commit 95e76abccf109803db9e0a00bfae97921ac94ef4
Author: Eric Botcazou <ebotcazou@adacore.com>
Date:   Mon Dec 7 10:40:23 2020 +0100

    Fix assembler name collision
    
    Gigi uses a dummy global variable to register global types for debug
    info purposes and its name can now collide with user variables.
    
    gcc/ada/ChangeLog:
            * gcc-interface/utils.c (gnat_write_global_declarations): Use the
            maximum index for the dummy object to avoid a name collision.

diff --git a/gcc/ada/gcc-interface/utils.c b/gcc/ada/gcc-interface/utils.c
index 4ec19c7f191..87726cbd475 100644
--- a/gcc/ada/gcc-interface/utils.c
+++ b/gcc/ada/gcc-interface/utils.c
@@ -5804,7 +5804,7 @@ gnat_write_global_declarations (void)
       struct varpool_node *node;
       char *label;
 
-      ASM_FORMAT_PRIVATE_NAME (label, first_global_object_name, 0);
+      ASM_FORMAT_PRIVATE_NAME (label, first_global_object_name, ULONG_MAX);
       dummy_global
 	= build_decl (BUILTINS_LOCATION, VAR_DECL, get_identifier (label),
 		      void_type_node);

